# Generated by Django 2.2.28 on 2023-02-15 15:20

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ('recordings', '0018_add_missing_migration'),
    ]

    operations = [
        migrations.CreateModel(
            name='Award',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                (
                    'name',
                    models.CharField(
                        help_text='z. B. „Preis der deutschen Schallplattenkritik“ oder „Opus Klassik“',
                        max_length=255,
                        verbose_name='Name',
                    ),
                ),
                (
                    'name_de',
                    models.CharField(
                        help_text='z. B. „Preis der deutschen Schallplattenkritik“ oder „Opus Klassik“',
                        max_length=255,
                        null=True,
                        verbose_name='Name',
                    ),
                ),
                (
                    'name_en',
                    models.CharField(
                        help_text='z. B. „Preis der deutschen Schallplattenkritik“ oder „Opus Klassik“',
                        max_length=255,
                        null=True,
                        verbose_name='Name',
                    ),
                ),
                ('logo', models.ImageField(upload_to='awards/', verbose_name='Logo')),
            ],
            options={
                'verbose_name': 'Preis',
                'verbose_name_plural': 'Preise',
            },
        ),
        migrations.CreateModel(
            name='AwardAttribution',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                (
                    'attribution_type',
                    models.CharField(
                        choices=[('nominated', 'nominiert'), ('won', 'gewonnen')],
                        default='nominated',
                        max_length=9,
                        verbose_name='Attributionstyp',
                    ),
                ),
                (
                    'category',
                    models.CharField(
                        blank=True, max_length=255, verbose_name='Kategorie'
                    ),
                ),
                (
                    'category_de',
                    models.CharField(
                        blank=True, max_length=255, null=True, verbose_name='Kategorie'
                    ),
                ),
                (
                    'category_en',
                    models.CharField(
                        blank=True, max_length=255, null=True, verbose_name='Kategorie'
                    ),
                ),
                ('free_text', models.TextField(blank=True, verbose_name='Freitext')),
                (
                    'free_text_de',
                    models.TextField(blank=True, null=True, verbose_name='Freitext'),
                ),
                (
                    'free_text_en',
                    models.TextField(blank=True, null=True, verbose_name='Freitext'),
                ),
                (
                    'audio_recording',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='award_attributions',
                        related_query_name='award_attribution',
                        to='recordings.AudioRecording',
                        verbose_name='Audioaufnahme',
                    ),
                ),
                (
                    'award',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name='award_attributions',
                        related_query_name='award_attribution',
                        to='recordings.Award',
                        verbose_name='Preis',
                    ),
                ),
            ],
            options={
                'verbose_name': 'Preisattribution',
                'verbose_name_plural': 'Preisattributionen',
            },
        ),
    ]
